package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysTenant;

import java.util.List;

/**
 * 用户 业务层
 *
 * @author ruoyi
 */
public interface ISysTenantService {
    List<SysTenant> selectTenantList(SysTenant sysTenant);

    SysTenant selectTenantById(Long id);

    int insertTenant(SysTenant sysTenant);

    int updateTenant(SysTenant sysTenant);

    int deleteSysTenantByIds(Long[] ids);

    int deleteSysTenantById(Long id);

    int deleteSysTenantUsrByUsrId(Long usrId);

    int deleteSysTenantUsrByUsrIds(Long[] usrIds);

    void addUsrTenant(Long userId);

    SysTenant selectTenantByUsrId(Long usrId);


}
